Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.networks.training.pnn
Class DeriveMinimum

    java.lang.Object
      org.encog.neural.networks.training.pnn.DeriveMinimum

    public class DeriveMinimum

extends Object

This class determines optimal values for multiple sigmas in a PNN kernel. This is done using a CJ (conjugate gradient) method. Some of the algorithms in this class are based on C++ code from: Advanced Algorithms for Neural Networks: A C++ Sourcebook by Timothy Masters John Wiley & Sons Inc (Computers); April 3, 1995 ISBN: 0471105880

Constructor Summary
`DeriveMinimum()`

Method Summary
`double` | `calculate(int maxIterations, double maxError, double eps, double tol, CalculationCriteria network, int n, double[] x, double ystart, double[] base, double[] direc, double[] g, double[] h, double[] deriv2)` Derive the minimum, using a conjugate gradient method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeriveMinimum

    public DeriveMinimum()

Method Detail

### calculate

    public double calculate(int maxIterations,
                            double maxError,
                            double eps,
                            double tol,
                            CalculationCriteria network,
                            int n,
                            double[] x,
                            double ystart,
                            double[] base,
                            double[] direc,
                            double[] g,
                            double[] h,
                            double[] deriv2)

  Derive the minimum, using a conjugate gradient method.

  Parameters:
    `maxIterations` - The max iterations.
    `maxError` - Stop at this error rate.
    `eps` - The machine's precision.
    `tol` - The convergence tolerance.
    `network` - The network to get the error from.
    `n` - The number of variables.
    `x` - The independent variable.
    `ystart` - The start for y.
    `base` - Work vector, must have n elements.
    `direc` - Work vector, must have n elements.
    `g` - Work vector, must have n elements.
    `h` - Work vector, must have n elements.
    `deriv2` - Work vector, must have n elements.
  Returns:
    The best error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.